## octave-fits 1.0.7

=== DESCRIPTION ===
Name: FITS
Version: 1.0.7
Date: 2015-06-10
Author: Dirk Schmidt
Maintainer: Dirk Schmidt
Title: Reading and writing FITS (Flexible Image Transport System) files.
Description: The Octave-FITS package provides functions for
 reading, and writing FITS (Flexible Image Transport System) files. 
 This package uses the libcfitsio library.
Depends: octave (>= 3.0.0)
Autoload: no
BuildRequires: libcfitsio-dev
SystemRequirements: libcfitsio
License: GPLv3+
Url: http://octave.sf.net

=== src/Makefile ===
MKOCT_FLAGS = $(shell pkg-config --libs cfitsio --cflags cfitsio)

all: read_fits_image.oct save_fits_image.oct save_fits_image_multi_ext.oct

clean:
	rm -f *.oct *.o

%.oct: %.cc
	mkoctfile --verbose -Wall $(MKOCT_FLAGS) $<

=== debian/changelog ===
octave-fits (1.0.7-7build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:03:45 +1100

octave-fits (1.0.7-7build3) noble; urgency=high

  * No change rebuild against libcfitsio10t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:46:14 +0100

octave-fits (1.0.7-7build2) mantic; urgency=medium

  * No-change rebuild against octave-abi-58

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 17:27:41 +0000

octave-fits (1.0.7-7build1) lunar; urgency=medium

  * No-change rebuild against libcfitsio10

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 05:17:44 +0000

octave-fits (1.0.7-7) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/watch:
    + Bump to format version 4
    + Adjust for new URL at gnu-octave.github.io
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector
  * d/clean: New file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 05:10:43 -0300

octave-fits (1.0.7-6) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 18:40:36 -0300

octave-fits (1.0.7-5) unstable; urgency=medium

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into
    the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 04 Nov 2019 13:23:26 -0300

octave-fits (1.0.7-4) unstable; urgency=medium

  * d/p/d-nint-fix.patch: New patch (allow compilation against Octave 5)
  * d/p/fix-spelling-of-overwrite.patch: New patch
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 04 Oct 2019 20:25:28 -0300

octave-fits (1.0.7-3) unstable; urgency=medium

  * Team upload
  * Add missing Build-Depends on pkg-config (Closes: #925618)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Mar 2019 10:50:43 +0100

octave-fits (1.0.7-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:29 -0200

octave-fits (1.0.7-1) unstable; urgency=low

  * Initial release (closes: #898427)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 08:28:52 -0300

=== debian/control ===
Source: octave-fits
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave,
               libcfitsio-dev,
               pkg-config
Standards-Version: 4.6.1
Homepage: https://octave.sourceforge.io/fits/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-fits.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-fits
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-fits
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: manipulation of FITS files in Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/fits/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/fits-(.+).tar.gz
